Delete adjustments for a line item

Deletes adjustments for a specific line item.

Required Fields:

  • cartId (route) - required
  • lineItemId (route) - required
  • adjustmentIds (body) - list of adjustment ID strings to delete; each entry is a plain ID string (not an object)

Behavior

  • Deletes the specified adjustments belonging to the given line item and re-prices asynchronously (202 Accepted while processing).
  • Returns 204 No Content when there is nothing to delete, or 404 when an adjustment Id is not found.
  • Access to the product configuration is enforced by the configuration access filter (403 Forbidden when not permitted).
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The cart's unique identifier

string
required

lineItemId

Body Params

An adjustment's unique identifier

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses
200

Line item adjustments deleted successfully.

202

Delete request accepted and is being processed.

204

No adjustments were available to delete.

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json